Bug 187873 - [PATCH] games/linux-worldofgoo-demo: Stage
Summary: [PATCH] games/linux-worldofgoo-demo: Stage
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Steve Wills
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-03-23 23:20 UTC by Johannes Meixner
Modified: 2014-03-26 02:30 UTC (History)
0 users

See Also:


Attachments
linux-worldofgoo-1.41.patch (1.21 KB, patch)
2014-03-23 23:20 UTC, Johannes Meixner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Johannes Meixner 2014-03-23 23:20:00 UTC
- Stagify
- Make DOCS into an option, deprecating NOPORTDOCS

Generated with FreeBSD Port Tools 1.00.2014.03.22 (mode: change, diff: SVN)
Comment 1 Edwin Groothuis freebsd_committer 2014-03-24 00:26:59 UTC
Responsible Changed
From-To: freebsd-ports-bugs->swills

swills@ wants this submitter's PRs (via the GNATS Auto Assign Tool)
Comment 2 dfilter service freebsd_committer 2014-03-26 02:24:40 UTC
Author: swills
Date: Wed Mar 26 02:24:37 2014
New Revision: 349211
URL: http://svnweb.freebsd.org/changeset/ports/349211
QAT: https://qat.redports.org/buildarchive/r349211/

Log:
  - Stagify
  - Make DOCS into an option, deprecating NOPORTDOCS
  
  PR:		ports/187873
  Submitted by:	Johannes Jost Meixner <xmj@chaot.net>

Modified:
  head/games/linux-worldofgoo-demo/Makefile

Modified: head/games/linux-worldofgoo-demo/Makefile
==============================================================================
--- head/games/linux-worldofgoo-demo/Makefile	Wed Mar 26 02:18:10 2014	(r349210)
+++ head/games/linux-worldofgoo-demo/Makefile	Wed Mar 26 02:24:37 2014	(r349211)
@@ -21,6 +21,8 @@ WRKSRC=		${WRKDIR}/WorldOfGooDemo
 DATADIR=	${PREFIX}/share/WorldOfGoo
 DOCSDIR=	${PREFIX}/share/doc/WorldOfGoo
 
+OPTIONS_DEFINE=	DOCS
+
 .if defined(WITH_NVIDIA_GL)
 RUN_DEPENDS=	${LINUXBASE}/usr/lib/libGL.so.1:${PORTSDIR}/x11/nvidia-driver
 USE_LINUX_APPS+=	libglu
@@ -28,7 +30,6 @@ USE_LINUX_APPS+=	libglu
 USE_LINUX_APPS+=	dri
 .endif
 
-NO_STAGE=	yes
 .include <bsd.port.pre.mk>
 
 .if ${ARCH} == "i386"
@@ -52,12 +53,12 @@ pre-patch: .SILENT
 		>> ${WRKSRC}/WorldOfGoo
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/${TARGET_BIN} ${PREFIX}/bin
-	${INSTALL_SCRIPT} ${WRKSRC}/WorldOfGoo ${PREFIX}/bin
-	cd ${WRKSRC} && ${COPYTREE_SHARE} "properties res" ${DATADIR}
-.if !defined(NOPORTDOCS)
-	@${MKDIR} ${DOCSDIR}
-	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+	${INSTALL_PROGRAM} ${WRKSRC}/${TARGET_BIN} ${STAGEDIR}${PREFIX}/bin
+	${INSTALL_SCRIPT} ${WRKSRC}/WorldOfGoo ${STAGEDIR}${PREFIX}/bin
+	cd ${WRKSRC} && ${COPYTREE_SHARE} "properties res" ${STAGEDIR}${DATADIR}
+.if ${PORT_OPTIONS:MDOCS}
+	@${MKDIR} ${STAGEDIR}${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${STAGEDIR}${DOCSDIR}
 .endif
 
 .include <bsd.port.post.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 3 Steve Wills freebsd_committer 2014-03-26 02:24:49 UTC
State Changed
From-To: open->closed

Committed. Thanks!